#ifndef OSS_PROPERTIES_H
#define OSS_PROPERTIES_H
#include <string>
#include "common/json_util.h"

namespace zsy
{
    struct OssProperties
    {
        std::string endpoint;
        std::string bucketName;
        std::string ak;
        std::string sk;
    };

    inline void from_json(const nlohmann::json &j, OssProperties &o)
    {
        PARSE_JSON(endpoint, o.endpoint);
        PARSE_JSON(bucketName, o.bucketName);
        PARSE_JSON(sk, o.sk);
        PARSE_JSON(ak, o.ak);

    }
} // zsy

#endif //OSS_PROPERTIES_H
